Storyden
Misc

Get Session

Provides the instance settings and, if authenticated, the member's settings as well. This is effectively the same as calling `GetInfo` and `AccountGet` at the same time. This is a convenience endpoint to reduce round-trips for root level data needed to render a client's initial UI.

Provides the instance settings and, if authenticated, the member's settings as well. This is effectively the same as calling GetInfo and AccountGet at the same time. This is a convenience endpoint to reduce round-trips for root level data needed to render a client's initial UI.

GET/session

Response Body

application/json

application/json

curl -X GET "https://loading/api/session"
{
  "info": {
    "title": "string",
    "description": "string",
    "content": "string",
    "accent_colour": "string",
    "onboarding_status": "requires_first_account",
    "authentication_mode": "handle",
    "capabilities": [
      "plugins"
    ],
    "metadata": {},
    "motd": {
      "content": "string",
      "start_at": "2019-08-24T14:15:22Z",
      "end_at": "2019-08-24T14:15:22Z",
      "metadata": {}
    }
  },
  "account": {
    "id": "cc5lnd2s1s4652adtu50",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "misc": {},
    "joined": "2019-08-24T14:15:22Z",
    "suspended": "2019-08-24T14:15:22Z",
    "handle": "Southclaws",
    "name": "Barnaby Keene",
    "roles": [
      {
        "id": "cc5lnd2s1s4652adtu50",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z",
        "deletedAt": "2019-08-24T14:15:22Z",
        "misc": {},
        "name": "string",
        "colour": "string",
        "permissions": [
          "CREATE_POST"
        ],
        "meta": {},
        "badge": true,
        "default": true
      }
    ],
    "bio": "<body><p>hi, my name is</p><p>southclaws</p></body>",
    "signature": "<body><p>Sent with love from London!</p></body>",
    "links": [
      {
        "text": "string",
        "url": "string"
      }
    ],
    "meta": {},
    "verified_status": "none",
    "email_addresses": [
      {
        "id": "cc5lnd2s1s4652adtu50",
        "email_address": "hello@storyden.org",
        "verified": true
      }
    ],
    "notifications": 0,
    "admin": true,
    "invited_by": {
      "id": "cc5lnd2s1s4652adtu50",
      "joined": "2019-08-24T14:15:22Z",
      "suspended": "2019-08-24T14:15:22Z",
      "handle": "Southclaws",
      "name": "Barnaby Keene",
      "signature": "<body><p>Sent with love from London!</p></body>",
      "roles": [
        {
          "badge": true,
          "default": true,
          "id": "cc5lnd2s1s4652adtu50",
          "name": "string",
          "colour": "string",
          "meta": {}
        }
      ]
    }
  }
}
{
  "error": "string",
  "message": "string",
  "suggested": "string",
  "metadata": {}
}